package cn.stylefeng.workflow.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum CommonVariableEnum {

    APPLICANT("applicant", "发起人", VariableTypeEnum.USER_ID, "#applicantId"),

    DEPT("commonDeptId", "发起人所在部门", VariableTypeEnum.ORG_ID, "#commonDeptId"),

    ROLE("commonRoleId", "发起人角色", VariableTypeEnum.ROLE_ID, "#commonRoleId"),

    POSITION("commonPositionId", "发起人职位", VariableTypeEnum.POSITION_ID, "#commonPositionId");

    private final String variableCode;

    private final String name;

    private final VariableTypeEnum variableTypeEnum;

    private final String expressionCode;

}
